dvb_desc_cable_delivery Struct Reference
Parsers for several MPEG-TS descriptors

Structure containing the cable delivery system descriptor. More...

`#include <desc_cable_delivery.h>`

## Data Fields

uint8_t | type
uint8_t | length
struct dvb_desc * | next
uint32_t | frequency
union { |
uint16_t bitfield1 |
struct { |
uint16_t fec_outer:4 |
uint16_t reserved_future_use:12 |
} |
}; |
uint8_t | modulation
union { |
uint32_t bitfield2 |
struct { |
uint32_t fec_inner:4 |
uint32_t symbol_rate:28 |
} |
}; |

## Detailed Description

Structure containing the cable delivery system descriptor.

Parameters

  type | descriptor tag
  length | descriptor length
  next | pointer to struct dvb_desc
  frequency | frequency, converted to Hz.
  fec_outer | FEC outer (typically, Viterbi)
  modulation | modulation
  fec_inner | FEC inner (convolutional code)
  symbol_rate | symbol rate, converted to symbols/sec (bauds)

Definition at line 57 of file desc_cable_delivery.h.

## Field Documentation

## [union]

union { ... } dvb_desc_cable_delivery

## [union]

union { ... } dvb_desc_cable_delivery

## bitfield1

uint16_t dvb_desc_cable_delivery::bitfield1

Definition at line 64 of file desc_cable_delivery.h.

## bitfield2

uint32_t dvb_desc_cable_delivery::bitfield2

Definition at line 72 of file desc_cable_delivery.h.

## fec_inner

uint32_t dvb_desc_cable_delivery::fec_inner

Definition at line 74 of file desc_cable_delivery.h.

## fec_outer

uint16_t dvb_desc_cable_delivery::fec_outer

Definition at line 66 of file desc_cable_delivery.h.

## frequency

uint32_t dvb_desc_cable_delivery::frequency

Definition at line 62 of file desc_cable_delivery.h.

## length

uint8_t dvb_desc_cable_delivery::length

Definition at line 59 of file desc_cable_delivery.h.

## modulation

uint8_t dvb_desc_cable_delivery::modulation

Definition at line 70 of file desc_cable_delivery.h.

## next

struct dvb_desc* dvb_desc_cable_delivery::next

Definition at line 60 of file desc_cable_delivery.h.

## reserved_future_use

uint16_t dvb_desc_cable_delivery::reserved_future_use

Definition at line 67 of file desc_cable_delivery.h.

## symbol_rate

uint32_t dvb_desc_cable_delivery::symbol_rate

Definition at line 75 of file desc_cable_delivery.h.

## type

uint8_t dvb_desc_cable_delivery::type

Definition at line 58 of file desc_cable_delivery.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_cable_delivery.h